## org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel
Interface SybaseasabasesqlmodelPackage.Literals

Enclosing interface:
  SybaseasabasesqlmodelPackage

    public static interface SybaseasabasesqlmodelPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EEnum` `ALLOW_NULL_TYPE` The meta object literal for the '`Allow Null Type`' enum.
`static org.eclipse.emf.ecore.EClass` `ENCRYPTION_INFO` The meta object literal for the '`Encryption Info`' class.
`static org.eclipse.emf.ecore.EAttribute` `ENCRYPTION_INFO__ALGORITHM` The meta object literal for the 'Algorithm' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `ENCRYPTION_INFO__ENCRYPTED_TABLE` The meta object literal for the 'Encrypted Table' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `ENCRYPTION_INFO__ENCRYPTION_KEY` The meta object literal for the 'Encryption Key' attribute feature.
`static org.eclipse.emf.ecore.EClass` `EVENT_CONDITION` The meta object literal for the '`Event Condition`' class.
`static org.eclipse.emf.ecore.EReference` `EVENT_CONDITION__EVENT` The meta object literal for the 'Event' container reference feature.
`static org.eclipse.emf.ecore.EAttribute` `EVENT_CONDITION__OPERATOR` The meta object literal for the 'Operator' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `EVENT_CONDITION__VALUE` The meta object literal for the 'Value' attribute feature.
`static org.eclipse.emf.ecore.EEnum` `EVENT_LOCATION_TYPE` The meta object literal for the '`Event Location Type`' enum.
`static org.eclipse.emf.ecore.EEnum` `EVENT_TYPE` The meta object literal for the '`Event Type`' enum.
`static org.eclipse.emf.ecore.EEnum` `INTERVAL_UNIT_TYPE` The meta object literal for the '`Interval Unit Type`' enum.
`static org.eclipse.emf.ecore.EEnum` `JAVA_SUPPORT_TYPE` The meta object literal for the '`Java Support Type`' enum.
`static org.eclipse.emf.ecore.EEnum` `PARAMETER_TYPE` The meta object literal for the '`Parameter Type`' enum.
`static org.eclipse.emf.ecore.EClass` `SCHEDULE` The meta object literal for the '`Schedule`' class.
`static org.eclipse.emf.ecore.EAttribute` `SCHEDULE__DAYS_OF_MONTH` The meta object literal for the 'Days Of Month' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SCHEDULE__DAYS_OF_WEEK` The meta object literal for the 'Days Of Week' attribute feature.
`static org.eclipse.emf.ecore.EReference` `SCHEDULE__EVENT` The meta object literal for the 'Event' container reference feature.
`static org.eclipse.emf.ecore.EAttribute` `SCHEDULE__INTERVAL_MOUNT` The meta object literal for the 'Interval Mount' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SCHEDULE__INTERVAL_UNIT` The meta object literal for the 'Interval Unit' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SCHEDULE__RECURRING` The meta object literal for the 'Recurring' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SCHEDULE__START_DATE` The meta object literal for the 'Start Date' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SCHEDULE__START_TIME` The meta object literal for the 'Start Time' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SCHEDULE__STOP_TIME` The meta object literal for the 'Stop Time' attribute feature.
`static org.eclipse.emf.ecore.EEnum` `SYBASE_ASA_BASE_ACTION_TIME` The meta object literal for the '`Sybase ASA Base Action Time`' enum.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASA_BASE_COLUMN` The meta object literal for the '`Sybase ASA Base Column`' class.
`static org.eclipse.emf.ecore.EReference` `SYBASE_ASA_BASE_COLUMN__COLUMN_CONSTRAINT` The meta object literal for the 'Column Constraint' reference list feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASA_BASE_COLUMN__IS_COMPUTED_COLUMN` The meta object literal for the 'Is Computed Column' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASA_BASE_COLUMN__TYPE_OF_DEFAULT` The meta object literal for the 'Type Of Default' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASA_BASE_COLUMN__UNIQUE` The meta object literal for the 'Unique' attribute feature.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT` The meta object literal for the '`Sybase ASA Base Column Check Constraint`' class.
`static org.eclipse.emf.ecore.EReference` `SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT__COLUMN` The meta object literal for the 'Column' reference feature.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASA_BASE_DATABASE` The meta object literal for the '`Sybase ASA Base Database`' class.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASA_BASE_DATABASE__BLANK_PADDING_ON` The meta object literal for the 'Blank Padding On' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASA_BASE_DATABASE__CASE_SENSITIVE` The meta object literal for the 'Case Sensitive' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASA_BASE_DATABASE__CHECK_SUM_ON` The meta object literal for the 'Check Sum On' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASA_BASE_DATABASE__COLLATION` The meta object literal for the 'Collation' attribute feature.
`static org.eclipse.emf.ecore.EReference` `SYBASE_ASA_BASE_DATABASE__DATA_TYPES` The meta object literal for the 'Data Types' reference list feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASA_BASE_DATABASE__DATABASE_FILE_NAME` The meta object literal for the 'Database File Name' attribute feature.
`static org.eclipse.emf.ecore.EReference` `SYBASE_ASA_BASE_DATABASE__DB_SPACES` The meta object literal for the 'Db Spaces' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` `SYBASE_ASA_BASE_DATABASE__ENCRYPTION_INFO` The meta object literal for the 'Encryption Info' reference feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASA_BASE_DATABASE__JAVA_SUPPORT` The meta object literal for the 'Java Support' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASA_BASE_DATABASE__JCONNECT_ON` The meta object literal for the 'JConnect On' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASA_BASE_DATABASE__LOG_FILE_NAME` The meta object literal for the 'Log File Name' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASA_BASE_DATABASE__MIRROR_FILE_NAME` The meta object literal for the 'Mirror File Name' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASA_BASE_DATABASE__PAGE_SIZE` The meta object literal for the 'Page Size' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASA_BASE_DATABASE__PASSWORD_CASE_SENSITIVE` The meta object literal for the 'Password Case Sensitive' attribute feature.
`static org.eclipse.emf.ecore.EReference` `SYBASE_ASA_BASE_DATABASE__WEB_SERVICES` The meta object literal for the 'Web Services' reference list feature.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASA_BASE_DB_SPACE` The meta object literal for the '`Sybase ASA Base DB Space`' class.
`static org.eclipse.emf.ecore.EReference` `SYBASE_ASA_BASE_DB_SPACE__DATABASE` The meta object literal for the 'Database' container reference feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASA_BASE_DB_SPACE__FILE_NAME` The meta object literal for the 'File Name' attribute feature.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASA_BASE_EVENT` The meta object literal for the '`Sybase ASA Base Event`' class.
`static org.eclipse.emf.ecore.EReference` `SYBASE_ASA_BASE_EVENT__CONDITION_DETAILS` The meta object literal for the 'Condition Details' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` `SYBASE_ASA_BASE_EVENT__EVENT_CREATOR` The meta object literal for the 'Event Creator' reference feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASA_BASE_EVENT__EVENT_TYPE` The meta object literal for the 'Event Type' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASA_BASE_EVENT__LOCATION` The meta object literal for the 'Location' attribute feature.
`static org.eclipse.emf.ecore.EReference` `SYBASE_ASA_BASE_EVENT__SCHEDULES` The meta object literal for the 'Schedules' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASA_BASE_FOREIGN_KEY` The meta object literal for the '`Sybase ASA Base Foreign Key`' class.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASA_BASE_FOREIGN_KEY__CLUSTERED` The meta object literal for the 'Clustered' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASA_BASE_FOREIGN_KEY__ROLE_NAME` The meta object literal for the 'Role Name' attribute feature.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASA_BASE_FUNCTION` The meta object literal for the '`Sybase ASA Base Function`' class.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASA_BASE_FUNCTION__ON_EXCEPTION_RESUME` The meta object literal for the 'On Exception Resume' attribute feature.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASA_BASE_GROUP` The meta object literal for the '`Sybase ASA Base Group`' class.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASA_BASE_INDEX` The meta object literal for the '`Sybase ASA Base Index`' class.
`static org.eclipse.emf.ecore.EReference` `SYBASE_ASA_BASE_INDEX__DB_SPACE` The meta object literal for the 'Db Space' reference feature.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASA_BASE_PARAMETER` The meta object literal for the '`Sybase ASA Base Parameter`' class.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASA_BASE_PARAMETER__PARM_TYPE` The meta object literal for the 'Parm Type' attribute feature.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASA_BASE_PREDEFINED_DATA_TYPE` The meta object literal for the '`Sybase ASA Base Predefined Data Type`' class.
`static org.eclipse.emf.ecore.EReference` `SYBASE_ASA_BASE_PREDEFINED_DATA_TYPE__DATABASE` The meta object literal for the 'Database' reference feature.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASA_BASE_PRIMARY_KEY` The meta object literal for the '`Sybase ASA Base Primary Key`' class.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASA_BASE_PROCEDURE` The meta object literal for the '`Sybase ASA Base Procedure`' class.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASA_BASE_PROCEDURE__ON_EXCEPTION_RESUME` The meta object literal for the 'On Exception Resume' attribute feature.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASA_BASE_PROXY_TABLE` The meta object literal for the '`Sybase ASA Base Proxy Table`' class.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASA_BASE_PROXY_TABLE__EXISTING` The meta object literal for the 'Existing' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASA_BASE_PROXY_TABLE__REMOTE_OBJECT_LOCATION` The meta object literal for the 'Remote Object Location' attribute feature.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASA_BASE_REMOTE_PROCEDURE` The meta object literal for the '`Sybase ASA Base Remote Procedure`' class.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASA_BASE_REMOTE_PROCEDURE__LOCATION` The meta object literal for the 'Location' attribute feature.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASA_BASE_SCHEMA` The meta object literal for the '`Sybase ASA Base Schema`' class.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASA_BASE_TABLE` The meta object literal for the '`Sybase ASA Base Table`' class.
`static org.eclipse.emf.ecore.EReference` `SYBASE_ASA_BASE_TABLE__DB_SPACE` The meta object literal for the 'Db Space' reference feature.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASA_BASE_TEMP_TABLE` The meta object literal for the '`Sybase ASA Base Temp Table`' class.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASA_BASE_TEMP_TABLE__TRANSACTION_OPTION` The meta object literal for the 'Transaction Option' attribute feature.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASA_BASE_TRIGGER` The meta object literal for the '`Sybase ASA Base Trigger`' class.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASA_BASE_TRIGGER__ORDER` The meta object literal for the 'Order' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASA_BASE_TRIGGER__REMOTE_NAME` The meta object literal for the 'Remote Name' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASA_BASE_TRIGGER__SYBASE_ASA_BASE_ACTION_TIME` The meta object literal for the 'Sybase ASA Base Action Time' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASA_BASE_TRIGGER__UPDATE_COLUMN_TYPE` The meta object literal for the 'Update Column Type' attribute feature.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASA_BASE_UNIQUE_CONSTRAINT` The meta object literal for the '`Sybase ASA Base Unique Constraint`' class.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__CLUSTERED` The meta object literal for the 'Clustered' attribute feature.
`static org.eclipse.emf.ecore.EReference` `SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__SYSTEM_GEN_INDEX` The meta object literal for the 'System Gen Index' reference feature.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASA_BASE_USER` The meta object literal for the '`Sybase ASA Base User`' class.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASA_BASE_USER_DEFINED_TYPE` The meta object literal for the '`Sybase ASA Base User Defined Type`' class.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASA_BASE_USER_DEFINED_TYPE__DEFAULT_TYPE` The meta object literal for the 'Default Type' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASA_BASE_USER_DEFINED_TYPE__NULLABLE` The meta object literal for the 'Nullable' attribute feature.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASA_BASE_VIEW_TABLE` The meta object literal for the '`Sybase ASA Base View Table`' class.
`static org.eclipse.emf.ecore.EReference` `SYBASE_ASA_BASE_VIEW_TABLE__STATEMENT` The meta object literal for the 'Statement' reference feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASA_BASE_VIEW_TABLE__WITH_CHECK_OPTION` The meta object literal for the 'With Check Option' attribute feature.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASA_DEFAULT_WRAPPER` The meta object literal for the '`Sybase ASA Default Wrapper`' class.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASA_DEFAULT_WRAPPER__IS_LITERAL` The meta object literal for the 'Is Literal' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASA_DEFAULT_WRAPPER__PARTITION_SIZE` The meta object literal for the 'Partition Size' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASA_DEFAULT_WRAPPER__TYPE` The meta object literal for the 'Type' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASA_DEFAULT_WRAPPER__VALUE` The meta object literal for the 'Value' attribute feature.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASA_WEB_SERVICE` The meta object literal for the '`Sybase ASA Web Service`' class.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASA_WEB_SERVICE__AUTH_REQUIRED` The meta object literal for the 'Auth required' attribute feature.
`static org.eclipse.emf.ecore.EReference` `SYBASE_ASA_WEB_SERVICE__DATABASE` The meta object literal for the 'Database' reference feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASA_WEB_SERVICE__PARAMETER` The meta object literal for the 'Parameter' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASA_WEB_SERVICE__SECURE_REQUIRED` The meta object literal for the 'Secure required' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASA_WEB_SERVICE__SERVICE_ID` The meta object literal for the 'Service id' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASA_WEB_SERVICE__SERVICE_TYPE` The meta object literal for the 'Service type' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASA_WEB_SERVICE__STATEMENT` The meta object literal for the 'Statement' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASA_WEB_SERVICE__URL_PATH` The meta object literal for the 'Url path' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_ASA_WEB_SERVICE__USER_NAME` The meta object literal for the 'User name' attribute feature.
`static org.eclipse.emf.ecore.EEnum` `SYSTEM_DEFINED_DEFAULT_TYPE` The meta object literal for the '`System Defined Default Type`' enum.
`static org.eclipse.emf.ecore.EEnum` `TRANSACTION_OPTION` The meta object literal for the '`Transaction Option`' enum.
`static org.eclipse.emf.ecore.EEnum` `TYPE_OF_DEFAULT` The meta object literal for the '`Type Of Default`' enum.

Field Detail

### SYBASE_ASA_BASE_EVENT

    static final org.eclipse.emf.ecore.EClass SYBASE_ASA_BASE_EVENT

  The meta object literal for the '`Sybase ASA Base Event`' class.

  See Also:
    `SybaseASABaseEventImpl`, `SybaseasabasesqlmodelPackageImpl.getSybaseASABaseEvent()`

### SYBASE_ASA_BASE_EVENT__EVENT_CREATOR

    static final org.eclipse.emf.ecore.EReference SYBASE_ASA_BASE_EVENT__EVENT_CREATOR

  The meta object literal for the 'Event Creator' reference feature.

### SYBASE_ASA_BASE_EVENT__LOCATION

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASA_BASE_EVENT__LOCATION

  The meta object literal for the 'Location' attribute feature.

### SYBASE_ASA_BASE_EVENT__SCHEDULES

    static final org.eclipse.emf.ecore.EReference SYBASE_ASA_BASE_EVENT__SCHEDULES

  The meta object literal for the 'Schedules' containment reference list feature.

### SYBASE_ASA_BASE_EVENT__CONDITION_DETAILS

    static final org.eclipse.emf.ecore.EReference SYBASE_ASA_BASE_EVENT__CONDITION_DETAILS

  The meta object literal for the 'Condition Details' containment reference list feature.

### SYBASE_ASA_BASE_EVENT__EVENT_TYPE

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASA_BASE_EVENT__EVENT_TYPE

  The meta object literal for the 'Event Type' attribute feature.

### SYBASE_ASA_BASE_DATABASE

    static final org.eclipse.emf.ecore.EClass SYBASE_ASA_BASE_DATABASE

  The meta object literal for the '`Sybase ASA Base Database`' class.

  See Also:
    `SybaseASABaseDatabaseImpl`, `SybaseasabasesqlmodelPackageImpl.getSybaseASABaseDatabase()`

### SYBASE_ASA_BASE_DATABASE__DATA_TYPES

    static final org.eclipse.emf.ecore.EReference SYBASE_ASA_BASE_DATABASE__DATA_TYPES

  The meta object literal for the 'Data Types' reference list feature.

### SYBASE_ASA_BASE_DATABASE__WEB_SERVICES

    static final org.eclipse.emf.ecore.EReference SYBASE_ASA_BASE_DATABASE__WEB_SERVICES

  The meta object literal for the 'Web Services' reference list feature.

### SYBASE_ASA_BASE_DATABASE__DB_SPACES

    static final org.eclipse.emf.ecore.EReference SYBASE_ASA_BASE_DATABASE__DB_SPACES

  The meta object literal for the 'Db Spaces' containment reference list feature.

### SYBASE_ASA_BASE_DATABASE__DATABASE_FILE_NAME

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASA_BASE_DATABASE__DATABASE_FILE_NAME

  The meta object literal for the 'Database File Name' attribute feature.

### SYBASE_ASA_BASE_DATABASE__LOG_FILE_NAME

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASA_BASE_DATABASE__LOG_FILE_NAME

  The meta object literal for the 'Log File Name' attribute feature.

### SYBASE_ASA_BASE_DATABASE__MIRROR_FILE_NAME

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASA_BASE_DATABASE__MIRROR_FILE_NAME

  The meta object literal for the 'Mirror File Name' attribute feature.

### SYBASE_ASA_BASE_DATABASE__CASE_SENSITIVE

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASA_BASE_DATABASE__CASE_SENSITIVE

  The meta object literal for the 'Case Sensitive' attribute feature.

### SYBASE_ASA_BASE_DATABASE__COLLATION

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASA_BASE_DATABASE__COLLATION

  The meta object literal for the 'Collation' attribute feature.

### SYBASE_ASA_BASE_DATABASE__BLANK_PADDING_ON

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASA_BASE_DATABASE__BLANK_PADDING_ON

  The meta object literal for the 'Blank Padding On' attribute feature.

### SYBASE_ASA_BASE_DATABASE__CHECK_SUM_ON

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASA_BASE_DATABASE__CHECK_SUM_ON

  The meta object literal for the 'Check Sum On' attribute feature.

### SYBASE_ASA_BASE_DATABASE__JCONNECT_ON

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASA_BASE_DATABASE__JCONNECT_ON

  The meta object literal for the 'JConnect On' attribute feature.

### SYBASE_ASA_BASE_DATABASE__PAGE_SIZE

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASA_BASE_DATABASE__PAGE_SIZE

  The meta object literal for the 'Page Size' attribute feature.

### SYBASE_ASA_BASE_DATABASE__ENCRYPTION_INFO

    static final org.eclipse.emf.ecore.EReference SYBASE_ASA_BASE_DATABASE__ENCRYPTION_INFO

  The meta object literal for the 'Encryption Info' reference feature.

### SYBASE_ASA_BASE_DATABASE__JAVA_SUPPORT

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASA_BASE_DATABASE__JAVA_SUPPORT

  The meta object literal for the 'Java Support' attribute feature.

### SYBASE_ASA_BASE_DATABASE__PASSWORD_CASE_SENSITIVE

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASA_BASE_DATABASE__PASSWORD_CASE_SENSITIVE

  The meta object literal for the 'Password Case Sensitive' attribute feature.

### ENCRYPTION_INFO

    static final org.eclipse.emf.ecore.EClass ENCRYPTION_INFO

  The meta object literal for the '`Encryption Info`' class.

  See Also:
    `EncryptionInfoImpl`, `SybaseasabasesqlmodelPackageImpl.getEncryptionInfo()`

### ENCRYPTION_INFO__ENCRYPTED_TABLE

    static final org.eclipse.emf.ecore.EAttribute ENCRYPTION_INFO__ENCRYPTED_TABLE

  The meta object literal for the 'Encrypted Table' attribute feature.

### ENCRYPTION_INFO__ENCRYPTION_KEY

    static final org.eclipse.emf.ecore.EAttribute ENCRYPTION_INFO__ENCRYPTION_KEY

  The meta object literal for the 'Encryption Key' attribute feature.

### ENCRYPTION_INFO__ALGORITHM

    static final org.eclipse.emf.ecore.EAttribute ENCRYPTION_INFO__ALGORITHM

  The meta object literal for the 'Algorithm' attribute feature.

### SYBASE_ASA_BASE_USER_DEFINED_TYPE

    static final org.eclipse.emf.ecore.EClass SYBASE_ASA_BASE_USER_DEFINED_TYPE

  The meta object literal for the '`Sybase ASA Base User Defined Type`' class.

  See Also:
    `SybaseASABaseUserDefinedTypeImpl`, `SybaseasabasesqlmodelPackageImpl.getSybaseASABaseUserDefinedType()`

### SYBASE_ASA_BASE_USER_DEFINED_TYPE__NULLABLE

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASA_BASE_USER_DEFINED_TYPE__NULLABLE

  The meta object literal for the 'Nullable' attribute feature.

### SYBASE_ASA_BASE_USER_DEFINED_TYPE__DEFAULT_TYPE

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASA_BASE_USER_DEFINED_TYPE__DEFAULT_TYPE

  The meta object literal for the 'Default Type' attribute feature.

### SYBASE_ASA_BASE_PREDEFINED_DATA_TYPE

    static final org.eclipse.emf.ecore.EClass SYBASE_ASA_BASE_PREDEFINED_DATA_TYPE

  The meta object literal for the '`Sybase ASA Base Predefined Data Type`' class.

  See Also:
    `SybaseASABasePredefinedDataTypeImpl`, `SybaseasabasesqlmodelPackageImpl.getSybaseASABasePredefinedDataType()`

### SYBASE_ASA_BASE_PREDEFINED_DATA_TYPE__DATABASE

    static final org.eclipse.emf.ecore.EReference SYBASE_ASA_BASE_PREDEFINED_DATA_TYPE__DATABASE

  The meta object literal for the 'Database' reference feature.

### SYBASE_ASA_BASE_TABLE

    static final org.eclipse.emf.ecore.EClass SYBASE_ASA_BASE_TABLE

  The meta object literal for the '`Sybase ASA Base Table`' class.

  See Also:
    `SybaseASABaseTableImpl`, `SybaseasabasesqlmodelPackageImpl.getSybaseASABaseTable()`

### SYBASE_ASA_BASE_TABLE__DB_SPACE

    static final org.eclipse.emf.ecore.EReference SYBASE_ASA_BASE_TABLE__DB_SPACE

  The meta object literal for the 'Db Space' reference feature.

### SYBASE_ASA_BASE_COLUMN

    static final org.eclipse.emf.ecore.EClass SYBASE_ASA_BASE_COLUMN

  The meta object literal for the '`Sybase ASA Base Column`' class.

  See Also:
    `SybaseASABaseColumnImpl`, `SybaseasabasesqlmodelPackageImpl.getSybaseASABaseColumn()`

### SYBASE_ASA_BASE_COLUMN__COLUMN_CONSTRAINT

    static final org.eclipse.emf.ecore.EReference SYBASE_ASA_BASE_COLUMN__COLUMN_CONSTRAINT

  The meta object literal for the 'Column Constraint' reference list feature.

### SYBASE_ASA_BASE_COLUMN__TYPE_OF_DEFAULT

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASA_BASE_COLUMN__TYPE_OF_DEFAULT

  The meta object literal for the 'Type Of Default' attribute feature.

### SYBASE_ASA_BASE_COLUMN__UNIQUE

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASA_BASE_COLUMN__UNIQUE

  The meta object literal for the 'Unique' attribute feature.

### SYBASE_ASA_BASE_COLUMN__IS_COMPUTED_COLUMN

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASA_BASE_COLUMN__IS_COMPUTED_COLUMN

  The meta object literal for the 'Is Computed Column' attribute feature.

### SYBASE_ASA_BASE_UNIQUE_CONSTRAINT

    static final org.eclipse.emf.ecore.EClass SYBASE_ASA_BASE_UNIQUE_CONSTRAINT

  The meta object literal for the '`Sybase ASA Base Unique Constraint`' class.

  See Also:
    `SybaseASABaseUniqueConstraintImpl`, `SybaseasabasesqlmodelPackageImpl.getSybaseASABaseUniqueConstraint()`

### SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__CLUSTERED

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__CLUSTERED

  The meta object literal for the 'Clustered' attribute feature.

### SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__SYSTEM_GEN_INDEX

    static final org.eclipse.emf.ecore.EReference SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__SYSTEM_GEN_INDEX

  The meta object literal for the 'System Gen Index' reference feature.

### SYBASE_ASA_BASE_PRIMARY_KEY

    static final org.eclipse.emf.ecore.EClass SYBASE_ASA_BASE_PRIMARY_KEY

  The meta object literal for the '`Sybase ASA Base Primary Key`' class.

  See Also:
    `SybaseASABasePrimaryKeyImpl`, `SybaseasabasesqlmodelPackageImpl.getSybaseASABasePrimaryKey()`

### SYBASE_ASA_BASE_FOREIGN_KEY

    static final org.eclipse.emf.ecore.EClass SYBASE_ASA_BASE_FOREIGN_KEY

  The meta object literal for the '`Sybase ASA Base Foreign Key`' class.

  See Also:
    `SybaseASABaseForeignKeyImpl`, `SybaseasabasesqlmodelPackageImpl.getSybaseASABaseForeignKey()`

### SYBASE_ASA_BASE_FOREIGN_KEY__ROLE_NAME

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASA_BASE_FOREIGN_KEY__ROLE_NAME

  The meta object literal for the 'Role Name' attribute feature.

### SYBASE_ASA_BASE_FOREIGN_KEY__CLUSTERED

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASA_BASE_FOREIGN_KEY__CLUSTERED

  The meta object literal for the 'Clustered' attribute feature.

### SYBASE_ASA_BASE_INDEX

    static final org.eclipse.emf.ecore.EClass SYBASE_ASA_BASE_INDEX

  The meta object literal for the '`Sybase ASA Base Index`' class.

  See Also:
    `SybaseASABaseIndexImpl`, `SybaseasabasesqlmodelPackageImpl.getSybaseASABaseIndex()`

### SYBASE_ASA_BASE_INDEX__DB_SPACE

    static final org.eclipse.emf.ecore.EReference SYBASE_ASA_BASE_INDEX__DB_SPACE

  The meta object literal for the 'Db Space' reference feature.

### SYBASE_ASA_BASE_DB_SPACE

    static final org.eclipse.emf.ecore.EClass SYBASE_ASA_BASE_DB_SPACE

  The meta object literal for the '`Sybase ASA Base DB Space`' class.

  See Also:
    `SybaseASABaseDBSpaceImpl`, `SybaseasabasesqlmodelPackageImpl.getSybaseASABaseDBSpace()`

### SYBASE_ASA_BASE_DB_SPACE__FILE_NAME

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASA_BASE_DB_SPACE__FILE_NAME

  The meta object literal for the 'File Name' attribute feature.

### SYBASE_ASA_BASE_DB_SPACE__DATABASE

    static final org.eclipse.emf.ecore.EReference SYBASE_ASA_BASE_DB_SPACE__DATABASE

  The meta object literal for the 'Database' container reference feature.

### SYBASE_ASA_BASE_VIEW_TABLE

    static final org.eclipse.emf.ecore.EClass SYBASE_ASA_BASE_VIEW_TABLE

  The meta object literal for the '`Sybase ASA Base View Table`' class.

  See Also:
    `SybaseASABaseViewTableImpl`, `SybaseasabasesqlmodelPackageImpl.getSybaseASABaseViewTable()`

### SYBASE_ASA_BASE_VIEW_TABLE__WITH_CHECK_OPTION

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASA_BASE_VIEW_TABLE__WITH_CHECK_OPTION

  The meta object literal for the 'With Check Option' attribute feature.

### SYBASE_ASA_BASE_VIEW_TABLE__STATEMENT

    static final org.eclipse.emf.ecore.EReference SYBASE_ASA_BASE_VIEW_TABLE__STATEMENT

  The meta object literal for the 'Statement' reference feature.

### SYBASE_ASA_BASE_FUNCTION

    static final org.eclipse.emf.ecore.EClass SYBASE_ASA_BASE_FUNCTION

  The meta object literal for the '`Sybase ASA Base Function`' class.

  See Also:
    `SybaseASABaseFunctionImpl`, `SybaseasabasesqlmodelPackageImpl.getSybaseASABaseFunction()`

### SYBASE_ASA_BASE_FUNCTION__ON_EXCEPTION_RESUME

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASA_BASE_FUNCTION__ON_EXCEPTION_RESUME

  The meta object literal for the 'On Exception Resume' attribute feature.

### SYBASE_ASA_BASE_PROCEDURE

    static final org.eclipse.emf.ecore.EClass SYBASE_ASA_BASE_PROCEDURE

  The meta object literal for the '`Sybase ASA Base Procedure`' class.

  See Also:
    `SybaseASABaseProcedureImpl`, `SybaseasabasesqlmodelPackageImpl.getSybaseASABaseProcedure()`

### SYBASE_ASA_BASE_PROCEDURE__ON_EXCEPTION_RESUME

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASA_BASE_PROCEDURE__ON_EXCEPTION_RESUME

  The meta object literal for the 'On Exception Resume' attribute feature.

### SYBASE_ASA_BASE_TEMP_TABLE

    static final org.eclipse.emf.ecore.EClass SYBASE_ASA_BASE_TEMP_TABLE

  The meta object literal for the '`Sybase ASA Base Temp Table`' class.

  See Also:
    `SybaseASABaseTempTableImpl`, `SybaseasabasesqlmodelPackageImpl.getSybaseASABaseTempTable()`

### SYBASE_ASA_BASE_TEMP_TABLE__TRANSACTION_OPTION

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASA_BASE_TEMP_TABLE__TRANSACTION_OPTION

  The meta object literal for the 'Transaction Option' attribute feature.

### SYBASE_ASA_BASE_TRIGGER

    static final org.eclipse.emf.ecore.EClass SYBASE_ASA_BASE_TRIGGER

  The meta object literal for the '`Sybase ASA Base Trigger`' class.

  See Also:
    `SybaseASABaseTriggerImpl`, `SybaseasabasesqlmodelPackageImpl.getSybaseASABaseTrigger()`

### SYBASE_ASA_BASE_TRIGGER__ORDER

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASA_BASE_TRIGGER__ORDER

  The meta object literal for the 'Order' attribute feature.

### SYBASE_ASA_BASE_TRIGGER__SYBASE_ASA_BASE_ACTION_TIME

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASA_BASE_TRIGGER__SYBASE_ASA_BASE_ACTION_TIME

  The meta object literal for the 'Sybase ASA Base Action Time' attribute feature.

### SYBASE_ASA_BASE_TRIGGER__REMOTE_NAME

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASA_BASE_TRIGGER__REMOTE_NAME

  The meta object literal for the 'Remote Name' attribute feature.

### SYBASE_ASA_BASE_TRIGGER__UPDATE_COLUMN_TYPE

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASA_BASE_TRIGGER__UPDATE_COLUMN_TYPE

  The meta object literal for the 'Update Column Type' attribute feature.

### SYBASE_ASA_BASE_PROXY_TABLE

    static final org.eclipse.emf.ecore.EClass SYBASE_ASA_BASE_PROXY_TABLE

  The meta object literal for the '`Sybase ASA Base Proxy Table`' class.

  See Also:
    `SybaseASABaseProxyTableImpl`, `SybaseasabasesqlmodelPackageImpl.getSybaseASABaseProxyTable()`

### SYBASE_ASA_BASE_PROXY_TABLE__REMOTE_OBJECT_LOCATION

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASA_BASE_PROXY_TABLE__REMOTE_OBJECT_LOCATION

  The meta object literal for the 'Remote Object Location' attribute feature.

### SYBASE_ASA_BASE_PROXY_TABLE__EXISTING

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASA_BASE_PROXY_TABLE__EXISTING

  The meta object literal for the 'Existing' attribute feature.

### SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT

    static final org.eclipse.emf.ecore.EClass SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT

  The meta object literal for the '`Sybase ASA Base Column Check Constraint`' class.

  See Also:
    `SybaseASABaseColumnCheckConstraintImpl`, `SybaseasabasesqlmodelPackageImpl.getSybaseASABaseColumnCheckConstraint()`

### SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT__COLUMN

    static final org.eclipse.emf.ecore.EReference SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT__COLUMN

  The meta object literal for the 'Column' reference feature.

### SYBASE_ASA_WEB_SERVICE

    static final org.eclipse.emf.ecore.EClass SYBASE_ASA_WEB_SERVICE

  The meta object literal for the '`Sybase ASA Web Service`' class.

  See Also:
    `SybaseASAWebServiceImpl`, `SybaseasabasesqlmodelPackageImpl.getSybaseASAWebService()`

### SYBASE_ASA_WEB_SERVICE__SERVICE_ID

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASA_WEB_SERVICE__SERVICE_ID

  The meta object literal for the 'Service id' attribute feature.

### SYBASE_ASA_WEB_SERVICE__SERVICE_TYPE

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASA_WEB_SERVICE__SERVICE_TYPE

  The meta object literal for the 'Service type' attribute feature.

### SYBASE_ASA_WEB_SERVICE__AUTH_REQUIRED

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASA_WEB_SERVICE__AUTH_REQUIRED

  The meta object literal for the 'Auth required' attribute feature.

### SYBASE_ASA_WEB_SERVICE__SECURE_REQUIRED

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASA_WEB_SERVICE__SECURE_REQUIRED

  The meta object literal for the 'Secure required' attribute feature.

### SYBASE_ASA_WEB_SERVICE__URL_PATH

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASA_WEB_SERVICE__URL_PATH

  The meta object literal for the 'Url path' attribute feature.

### SYBASE_ASA_WEB_SERVICE__USER_NAME

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASA_WEB_SERVICE__USER_NAME

  The meta object literal for the 'User name' attribute feature.

### SYBASE_ASA_WEB_SERVICE__PARAMETER

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASA_WEB_SERVICE__PARAMETER

  The meta object literal for the 'Parameter' attribute feature.

### SYBASE_ASA_WEB_SERVICE__STATEMENT

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASA_WEB_SERVICE__STATEMENT

  The meta object literal for the 'Statement' attribute feature.

### SYBASE_ASA_WEB_SERVICE__DATABASE

    static final org.eclipse.emf.ecore.EReference SYBASE_ASA_WEB_SERVICE__DATABASE

  The meta object literal for the 'Database' reference feature.

### SCHEDULE

    static final org.eclipse.emf.ecore.EClass SCHEDULE

  The meta object literal for the '`Schedule`' class.

  See Also:
    `ScheduleImpl`, `SybaseasabasesqlmodelPackageImpl.getSchedule()`

### SCHEDULE__RECURRING

    static final org.eclipse.emf.ecore.EAttribute SCHEDULE__RECURRING

  The meta object literal for the 'Recurring' attribute feature.

### SCHEDULE__START_TIME

    static final org.eclipse.emf.ecore.EAttribute SCHEDULE__START_TIME

  The meta object literal for the 'Start Time' attribute feature.

### SCHEDULE__STOP_TIME

    static final org.eclipse.emf.ecore.EAttribute SCHEDULE__STOP_TIME

  The meta object literal for the 'Stop Time' attribute feature.

### SCHEDULE__START_DATE

    static final org.eclipse.emf.ecore.EAttribute SCHEDULE__START_DATE

  The meta object literal for the 'Start Date' attribute feature.

### SCHEDULE__DAYS_OF_WEEK

    static final org.eclipse.emf.ecore.EAttribute SCHEDULE__DAYS_OF_WEEK

  The meta object literal for the 'Days Of Week' attribute feature.

### SCHEDULE__DAYS_OF_MONTH

    static final org.eclipse.emf.ecore.EAttribute SCHEDULE__DAYS_OF_MONTH

  The meta object literal for the 'Days Of Month' attribute feature.

### SCHEDULE__INTERVAL_UNIT

    static final org.eclipse.emf.ecore.EAttribute SCHEDULE__INTERVAL_UNIT

  The meta object literal for the 'Interval Unit' attribute feature.

### SCHEDULE__INTERVAL_MOUNT

    static final org.eclipse.emf.ecore.EAttribute SCHEDULE__INTERVAL_MOUNT

  The meta object literal for the 'Interval Mount' attribute feature.

### SCHEDULE__EVENT

    static final org.eclipse.emf.ecore.EReference SCHEDULE__EVENT

  The meta object literal for the 'Event' container reference feature.

### SYBASE_ASA_BASE_REMOTE_PROCEDURE

    static final org.eclipse.emf.ecore.EClass SYBASE_ASA_BASE_REMOTE_PROCEDURE

  The meta object literal for the '`Sybase ASA Base Remote Procedure`' class.

  See Also:
    `SybaseASABaseRemoteProcedureImpl`, `SybaseasabasesqlmodelPackageImpl.getSybaseASABaseRemoteProcedure()`

### SYBASE_ASA_BASE_REMOTE_PROCEDURE__LOCATION

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASA_BASE_REMOTE_PROCEDURE__LOCATION

  The meta object literal for the 'Location' attribute feature.

### SYBASE_ASA_BASE_PARAMETER

    static final org.eclipse.emf.ecore.EClass SYBASE_ASA_BASE_PARAMETER

  The meta object literal for the '`Sybase ASA Base Parameter`' class.

  See Also:
    `SybaseASABaseParameterImpl`, `SybaseasabasesqlmodelPackageImpl.getSybaseASABaseParameter()`

### SYBASE_ASA_BASE_PARAMETER__PARM_TYPE

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASA_BASE_PARAMETER__PARM_TYPE

  The meta object literal for the 'Parm Type' attribute feature.

### SYBASE_ASA_BASE_GROUP

    static final org.eclipse.emf.ecore.EClass SYBASE_ASA_BASE_GROUP

  The meta object literal for the '`Sybase ASA Base Group`' class.

  See Also:
    `SybaseASABaseGroupImpl`, `SybaseasabasesqlmodelPackageImpl.getSybaseASABaseGroup()`

### SYBASE_ASA_BASE_SCHEMA

    static final org.eclipse.emf.ecore.EClass SYBASE_ASA_BASE_SCHEMA

  The meta object literal for the '`Sybase ASA Base Schema`' class.

  See Also:
    `SybaseASABaseSchemaImpl`, `SybaseasabasesqlmodelPackageImpl.getSybaseASABaseSchema()`

### SYBASE_ASA_BASE_USER

    static final org.eclipse.emf.ecore.EClass SYBASE_ASA_BASE_USER

  The meta object literal for the '`Sybase ASA Base User`' class.

  See Also:
    `SybaseASABaseUserImpl`, `SybaseasabasesqlmodelPackageImpl.getSybaseASABaseUser()`

### SYBASE_ASA_DEFAULT_WRAPPER

    static final org.eclipse.emf.ecore.EClass SYBASE_ASA_DEFAULT_WRAPPER

  The meta object literal for the '`Sybase ASA Default Wrapper`' class.

  See Also:
    `SybaseASADefaultWrapperImpl`, `SybaseasabasesqlmodelPackageImpl.getSybaseASADefaultWrapper()`

### SYBASE_ASA_DEFAULT_WRAPPER__VALUE

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASA_DEFAULT_WRAPPER__VALUE

  The meta object literal for the 'Value' attribute feature.

### SYBASE_ASA_DEFAULT_WRAPPER__IS_LITERAL

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASA_DEFAULT_WRAPPER__IS_LITERAL

  The meta object literal for the 'Is Literal' attribute feature.

### SYBASE_ASA_DEFAULT_WRAPPER__PARTITION_SIZE

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASA_DEFAULT_WRAPPER__PARTITION_SIZE

  The meta object literal for the 'Partition Size' attribute feature.

### SYBASE_ASA_DEFAULT_WRAPPER__TYPE

    static final org.eclipse.emf.ecore.EAttribute SYBASE_ASA_DEFAULT_WRAPPER__TYPE

  The meta object literal for the 'Type' attribute feature.

### EVENT_CONDITION

    static final org.eclipse.emf.ecore.EClass EVENT_CONDITION

  The meta object literal for the '`Event Condition`' class.

  See Also:
    `EventConditionImpl`, `SybaseasabasesqlmodelPackageImpl.getEventCondition()`

### EVENT_CONDITION__OPERATOR

    static final org.eclipse.emf.ecore.EAttribute EVENT_CONDITION__OPERATOR

  The meta object literal for the 'Operator' attribute feature.

### EVENT_CONDITION__VALUE

    static final org.eclipse.emf.ecore.EAttribute EVENT_CONDITION__VALUE

  The meta object literal for the 'Value' attribute feature.

### EVENT_CONDITION__EVENT

    static final org.eclipse.emf.ecore.EReference EVENT_CONDITION__EVENT

  The meta object literal for the 'Event' container reference feature.

### TRANSACTION_OPTION

    static final org.eclipse.emf.ecore.EEnum TRANSACTION_OPTION

  The meta object literal for the '`Transaction Option`' enum.

  See Also:
    `TransactionOption`, `SybaseasabasesqlmodelPackageImpl.getTransactionOption()`

### TYPE_OF_DEFAULT

    static final org.eclipse.emf.ecore.EEnum TYPE_OF_DEFAULT

  The meta object literal for the '`Type Of Default`' enum.

  See Also:
    `TypeOfDefault`, `SybaseasabasesqlmodelPackageImpl.getTypeOfDefault()`

### SYBASE_ASA_BASE_ACTION_TIME

    static final org.eclipse.emf.ecore.EEnum SYBASE_ASA_BASE_ACTION_TIME

  The meta object literal for the '`Sybase ASA Base Action Time`' enum.

  See Also:
    `SybaseASABaseActionTime`, `SybaseasabasesqlmodelPackageImpl.getSybaseASABaseActionTime()`

### EVENT_TYPE

    static final org.eclipse.emf.ecore.EEnum EVENT_TYPE

  The meta object literal for the '`Event Type`' enum.

  See Also:
    `EventType`, `SybaseasabasesqlmodelPackageImpl.getEventType()`

### JAVA_SUPPORT_TYPE

    static final org.eclipse.emf.ecore.EEnum JAVA_SUPPORT_TYPE

  The meta object literal for the '`Java Support Type`' enum.

  See Also:
    `JavaSupportType`, `SybaseasabasesqlmodelPackageImpl.getJavaSupportType()`

### EVENT_LOCATION_TYPE

    static final org.eclipse.emf.ecore.EEnum EVENT_LOCATION_TYPE

  The meta object literal for the '`Event Location Type`' enum.

  See Also:
    `EventLocationType`, `SybaseasabasesqlmodelPackageImpl.getEventLocationType()`

### INTERVAL_UNIT_TYPE

    static final org.eclipse.emf.ecore.EEnum INTERVAL_UNIT_TYPE

  The meta object literal for the '`Interval Unit Type`' enum.

  See Also:
    `IntervalUnitType`, `SybaseasabasesqlmodelPackageImpl.getIntervalUnitType()`

### SYSTEM_DEFINED_DEFAULT_TYPE

    static final org.eclipse.emf.ecore.EEnum SYSTEM_DEFINED_DEFAULT_TYPE

  The meta object literal for the '`System Defined Default Type`' enum.

  See Also:
    `SystemDefinedDefaultType`, `SybaseasabasesqlmodelPackageImpl.getSystemDefinedDefaultType()`

### ALLOW_NULL_TYPE

    static final org.eclipse.emf.ecore.EEnum ALLOW_NULL_TYPE

  The meta object literal for the '`Allow Null Type`' enum.

  See Also:
    `AllowNullType`, `SybaseasabasesqlmodelPackageImpl.getAllowNullType()`

### PARAMETER_TYPE

    static final org.eclipse.emf.ecore.EEnum PARAMETER_TYPE

  The meta object literal for the '`Parameter Type`' enum.

  See Also:
    `ParameterType`, `SybaseasabasesqlmodelPackageImpl.getParameterType()`